{% extends 'base.html' %}

{% block content %}
<div class="col-md-8 offset-md-2">
    <h1 class="text-center display-4">Blog Index</h1>
    <hr class="my-4">
    {% for post in posts %}
    <div class="card mb-4">
        <div class="card-body">
            <h2 class="card-title"><a href="{% url 'blog_detail' post.pk%}" class="text-dark">{{ post.title }}</a></h2>
            <small class="text-muted">
                {{ post.created_on.date }} | Categories:
                {% for category in post.categories.all %}
                <a href="{% url 'blog_category' category.name %}" class="text-primary">
                    {{ category.name }}
                </a>
                {% if not forloop.last %}&nbsp;{% endif %}
                {% endfor %}
            </small>
            <p class="card-text mt-3">{{ post.body | slice:":400" }}...</p>
            <a href="{% url 'blog_detail' post.pk%}" class="btn btn-primary btn-sm">Read More</a>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}
